<?php

/**
 * FluxBB File Uploader v1.1.0
 * A simple plugin to upload files
 * Copyright (C) Loïc Dagallier
 * Compatible with FluxBB > 1.4.3 and 1.5
 * License: http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
 */

define('PUN_ROOT', dirname(__FILE__).'/');
define('UPLOAD_ROOT', 'uploads');
require PUN_ROOT.'include/common.php';

if (file_exists(PUN_ROOT.'lang/'.$pun_user['language'].'/upload.php'))
	require PUN_ROOT.'lang/'.$pun_user['language'].'/upload.php';
else
	require PUN_ROOT.'lang/English/upload.php';

if ($pun_user['g_id'] != PUN_ADMIN)
	message($lang_upload['NotAdmin'], true, '403 Forbidden');

if (!file_exists(PUN_ROOT.UPLOAD_ROOT))
	mkdir(PUN_ROOT.UPLOAD_ROOT);

@chmod(PUN_ROOT.UPLOAD_ROOT, 0755);

if (!$db->table_exists('uploads'))
{
	$schema = array(
		'FIELDS'		=> array(
			'up_id'			=> array(
				'datatype'		=> 'SERIAL',
				'allow_null'	=> false
			),
			'up_user'	=> array(
				'datatype'		=> 'INT(10) UNSIGNED',
				'allow_null'	=> false,
				'default'		=> '0'
			),
			'up_init'	=> array(
				'datatype'		=> 'VARCHAR(255)',
				'allow_null'	=> true
			),
			'up_dest'		=> array(
				'datatype'		=> 'VARCHAR(255)',
				'allow_null'	=> true
			),
			'up_time'	=> array(
				'datatype'		=> 'INT(10) UNSIGNED',
				'allow_null'	=> false,
				'default'		=> '0'
			)
		),
		'PRIMARY KEY'	=> array('up_id')
	);

	$db->create_table('uploads', $schema) or error('Unable to create uploads table', __FILE__, __LINE__, $db->error());

	$update = false;
}
else
{
	if ($db->field_exists('uploads', 'id'))
		$db->query('ALTER TABLE '.$db->prefix.'uploads CHANGE id up_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT') or error('Unable to alter field \'id\'', __FILE__, __LINE__, $db->error());

	if ($db->field_exists('uploads', 'user_id'))
		$db->query('ALTER TABLE '.$db->prefix.'uploads CHANGE user_id up_user INT(10) UNSIGNED NOT NULL DEFAULT \'0\'') or error('Unable to alter field \'user_id\'', __FILE__, __LINE__, $db->error());

	if ($db->field_exists('uploads', 'file_init'))
		$db->query('ALTER TABLE '.$db->prefix.'uploads CHANGE file_init up_init VARCHAR(255) CHARACTER SET UTF8 COLLATE utf8_general_ci NULL DEFAULT NULL') or error('Unable to alter field \'file_init\'', __FILE__, __LINE__, $db->error());

	if ($db->field_exists('uploads', 'file_upload'))
		$db->query('ALTER TABLE '.$db->prefix.'uploads CHANGE file_upload up_dest VARCHAR(255) CHARACTER SET UTF8 COLLATE utf8_general_ci NULL DEFAULT NULL') or error('Unable to alter field \'file_upload\'', __FILE__, __LINE__, $db->error());

	if ($db->field_exists('uploads', 'file_date'))
		$db->query('ALTER TABLE '.$db->prefix.'uploads CHANGE file_date up_time INT(10) UNSIGNED NOT NULL DEFAULT \'0\'') or error('Unable to alter field \'file_date\'', __FILE__, __LINE__, $db->error());

	if ($db->field_exists('uploads', 'up_date'))
		$db->query('ALTER TABLE '.$db->prefix.'uploads CHANGE up_date up_time INT(10) UNSIGNED NOT NULL DEFAULT \'0\'') or error('Unable to alter field \'up_date\'', __FILE__, __LINE__, $db->error());

	$update = true;
}

// Affichage du message
if ($update)
	message($lang_upload['MsgSuccessUpdate'], true);
else
	message($lang_upload['MsgSuccessInstall'], true);

?>
